commit:     abbd10a06499348e18feee42c5b42a9b975d9195
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  1 10:37:29 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Sep  1 10:39:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abbd10a0

dev-python/rospkg: bump to 1.0.40

Package-Manager: portage-2.3.0

 dev-python/rospkg/Manifest             |  1 +
 dev-python/rospkg/rospkg-1.0.40.ebuild | 56 ++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/rospkg/Manifest b/dev-python/rospkg/Manifest
index 5373eab..b40b5a9 100644
--- a/dev-python/rospkg/Manifest
+++ b/dev-python/rospkg/Manifest
@@ -1,2 +1,3 @@
 DIST rospkg-1.0.38.tar.gz 89321 SHA256 
1a1567d3e33c3910518dbfbb09760c499153b1c0ad6b8ddc5045488c11db43e4 SHA512 
21cc9057a445b06db66b454e46c3ecdf8d83e54bbf4c204c63b13278dc93cdad60a80f4cab29eba7bc1811d43b406f91435499f7e58fa97814302dfb786f483e
 WHIRLPOOL 
109e8d5ddc3f432c28959b7e6f15703aa2d67cd3ee524e4964e5388a7982b6aea144e5afcf0d22add230e33beb485ade0656025b77f2b56be75d313aa1e52870
 DIST rospkg-1.0.39.tar.gz 89428 SHA256 
36533bc98c57b0ee99b05b8e22160c1ee3393cd6aec7f87840b420ed7e8464cf SHA512 
c68fe32479e6c800927c73bd6e35a9f644c550a79181525f16713683ad196f2ac0425e5f9eea8eff2ea919de39867b0f31c929f618804aaa93a234f28f16c579
 WHIRLPOOL 
ad446b8f9d21443b7b3416065244964b94a9b0254dee119d7f70ddaaea8b2202401094d6c725629537d97f33429d0f63866dc4c5c7d098d2a8216382e946637a
+DIST rospkg-1.0.40.tar.gz 39548 SHA256 
ccd1d635319d41b79139b7336af64fc17a48a69ce0d728c1578c78f6350dbe1c SHA512 
92a4760922b3d12850ab4a5ab8298048529d9cb427e85e3105b7b45e3c1f061351ee9611aa4b3ee29944e2d5185481b1d96593c04b25109156eb8e8aaafab0ea
 WHIRLPOOL 
e2b0b92228a03ed4d4e31d283f34708d99bb1f3d484a892a3d883110af9f63d78df46ef84c07c368250aba12955cd1f8cbea0db1d539fcf0b02951ec677159d2

diff --git a/dev-python/rospkg/rospkg-1.0.40.ebuild 
b/dev-python/rospkg/rospkg-1.0.40.ebuild
new file mode 100644
index 00000000..9939d92
--- /dev/null
+++ b/dev-python/rospkg/rospkg-1.0.40.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SCM="git-r3"
+       EGIT_REPO_URI="https://github.com/ros-infrastructure/rospkg";
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the ROS package system"
+HOMEPAGE="http://wiki.ros.org/rospkg";
+if [ "${PV#9999}" != "${PV}" ] ; then
+       SRC_URI=""
+       KEYWORDS=""
+       # Needed for tests
+       S="${WORKDIR}/${PN}"
+       EGIT_CHECKOUT_DIR="${S}"
+else
+       SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+               
https://github.com/ros-infrastructure/rospkg/archive/${PV}.tar.gz -> ${P}.tar.gz
+       "
+       KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+       )
+"
+PATCHES=(
+       "${FILESDIR}/norecurse.patch"
+)
+
+python_test() {
+       nosetests --with-coverage --cover-package=rospkg --with-xunit test || 
die
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       # Avoid recursing into /usr/share when looking for packages.
+       dodir /usr/share
+       touch "${ED}/usr/share/rospack_norecurse"
+}

Reply via email to